<?php
   include("../scripts/connect.php");
   $conexion=conecta_default();
   
   include("../scripts/session.php");
	//Validar Session
   $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/
   if(!$sesion->isValida("4"))
   { /*Sesion invalida*/
		header("Location: ../login.php?err=NoSesion");
   }
   else
   {
	  $dato=explode("|",$_SESSION['usuario']);
      $sesion->setDatos($dato[0],$dato[1],$dato[2]);
   }//fin validar session

   //$promo_canti = unserialize($_POST['promo_canti']);borrado antes
  
  
   //$ticket_prod=unserialize($_POST['ticket_prod']);
   //$ticket_canti=unserialize($_POST['ticket_canti']);


  $tnota=$_POST['tp'];
  $cuenta=$_POST['cuentale'];
  $cuentap=$_POST['cuentalep'];
  $entrega=$_POST['cdent'];
  $efectivo=$_POST['ef'];
  $deposito=$_POST['de'];
  $tarjeta=$_POST['ta'];
  $voucher=$_POST['vo'];
  $regalias=$_POST['re'];
  echo $porpagar=$_POST['pp'];
  $cargo_tar=$_POST['tae'];
  $rfc=$_POST['rfcpr'];
  $idvouch=$_POST['vo_id'];
  $transac=$_POST['id_trans'];
  $tarjeta=$tarjeta+$cargo_tar;
  $sumpago=$efectivo+$deposito+$tarjeta+$regalias+$voucher+$porpagar;

   //echo "TipoNota: ".$tnota."|| Cuenta: ".$cuenta." || Cuentap: ".$cuentap." || new3";

   function redondear($valor)
   {
     $float_redondeado=round($valor * 100) / 100;
     return $float_redondeado;
   }
echo"hola3 $id_trans ed";

	   		// **********************************************************************************	
	   		  		// **********************************************************************************

		
			           $gtot=0; $puntos=0;
  echo"<script language=\"JavaScript\" src=\"popcalendar.js\"></script><center>";

  echo "<FORM ACTION='pedido4.php' method='POST'>";
  
 // echo"<input type='hidden' name='tiponota' value=echo "'$tnota'";?
 
 $qp = "SELECT id_inver, rfc, nombre, appat, apmat ,estados_idestado, usuarios_ci_idusuarios_ci, cdentrega, tipostr_idtipostr FROM inversionista join transacciones on transacciones.inversionista_id_inver=inversionista.id_inver WHERE idtransacciones =\"$transac\"";
  $cp = mysql_query($qp) or die ('Error (Registro No Encontrado): ' . mysql_error());
  $rp = mysql_fetch_object($cp);
  $id_dist = $rp->id_inver;	
  $rfc = $rp->rfc;	
  $localidad=$rp->estados_idestado;
  $entrega=$rp->cdentrega;
  $realiza=$rp->usuarios_ci_idusuarios_ci;
  $tiponott=$rp->tipostr_idtipostr;
  $nombre = $rp->nombre." ".$rp->appat." ".$rp->apmat;
  
   $qa = "SELECT nombre from usuarios_ci WHERE idusuarios_ci = $realiza";
    $ca = mysql_query($qa) or die ('Error (select consec): ' . mysql_error());
    $nrealiza = mysql_fetch_row($ca)[0]; 
     $qa = "SELECT nombre from usuarios_ci WHERE idusuarios_ci = $entrega";
    $ca = mysql_query($qa) or die ('Error (select consec): ' . mysql_error());
    $nentrega = mysql_fetch_row($ca)[0]; 
    
    
    /*
     $qp1 = "SELECT guias.id_paq as paq, descripcion, flete, peso from guias join paqueterias on paqueterias.id_paq=guias.id_paq WHERE idtransacciones =\"$transac\"";
  $cp1 = mysql_query($qp1) or die ('Error (Registro No Encontrado): ' . mysql_error());
  $rp1 = mysql_fetch_object($cp1);
  $id_paq = $rp1->paq;	
  $paq = $rp1->descripcion;	
  $flete=$rp1->flete;
  $peso=$rp1->peso;
*/ 
    
  
     $qp1 = "SELECT CONCAT_WS(\", \", calle, colonia, ciudad, estado, cp, pais) AS direccion, costoEnvio FROM direccionenvio join transaccion_adicionales on direccionenvio.id=transaccion_adicionales.id_direccionenvio WHERE idtransacciones=\"$transac\"";
  $cp1 = mysql_query($qp1) or die ('Error (Registro No Encontrado): ' . mysql_error());
  $rp1 = mysql_fetch_object($cp1);
  $domicilio = $rp1->direccion;	
 $flete=$rp1->costoEnvio;
 
    
  
  
  $qC3 = "SELECT idreg, apagar from regs2 where id_inver=$id_dist and status=0";
  $cC3 = mysql_query($qC3) or die ('Error (Registro No Encontrado (Tabla regalias)): ' . mysql_error());
  $gtot=0; $puntos=0;
  echo"<center>";
  echo"<FORM ACTION='pedido4.php' method='POST' id='dataped'>";
  echo"<table cellspacing=5>
      <tr><td bgcolor=\"#006633\"><font color=\"#FFFFFF\">RFC</font></td><td bgcolor=\"#CCFFCC\">$rfc</td></tr> 
      <tr><td bgcolor=\"#006633\"><font color=\"#FFFFFF\">Nombre</font></td><td bgcolor=\"#CCFFCC\">$nombre</td></tr> 
      </table><br>
      <table cellspacing=5>
      <tr><td bgcolor=\"#006633\"><font color=\"#FFFFFF\">Realizo</font></td><td bgcolor=\"#CCFFCC\">$realiza $nrealiza</td></tr> 
      <tr><td bgcolor=\"#006633\"><font color=\"#FFFFFF\">Entrega</font></td><td bgcolor=\"#CCFFCC\">$entrega $nentrega</td></tr> 
      </table>
      
      
   
  <br>Contenido del pedido:
			<table border=1><tr><td>
			<table CellPadding=5>
			<tr bgcolor=\"#006633\">
        <th><font color=\"#FFFFFF\">Cant</font></th>
        <th><font color=\"#FFFFFF\">Producto</font></th>
  			<th><font color=\"#FFFFFF\">Precio</font></th>
        <th><font color=\"#FFFFFF\">Puntos</font></th>
			</tr>";
			
			
			
				$promos="SELECT cant, promodesc, precio, puntos, promod.id_promo FROM pedido_real join promod on pedido_real.id_prod=promod.id_promo where pedido_real.transacciones='$transac'";
	
	$cal = mysql_query($promos) or die ('Error (Registro No Encontrado2): ' . mysql_error());
	while($ral = mysql_fetch_row($cal))
   {
	   echo"<TR  bgcolor=\"#CCFFCC\"><td>$ral[0]</td><td>$ral[1]</td><td>$ral[2]</td><td>$ral[3]</td></TR>";
	 $precio1+=  $ral[2]*$ral[0];
	$puntos1+=  $ral[3]*$ral[0];$hh++;

	     $cip="SELECT productos.nombreProd, promop.idprodp, cantp
            from promod join promop on promod.id_promo=promop.promop
            join productos on promop.idprodp=productos.id_prod
            where promod.id_promo = $ral[4]";
      $qcip=mysql_query($cip) or die ("Error en la consulta del id de si es promo: ".mysql_error());

      if(mysql_num_rows($qcip) > 0)
      {
        for($j=0; $rw=mysql_fetch_array($qcip); $j++)
        { 
          echo"
          <tr>
            <td>$rw[2]</td>
            <td>$rw[0]</td>
          </tr>";
       
        }
      }
	
	};
		$linea="SELECT cant, nombreProd, precio, puntos, productos.id_prod FROM pedido_real join productos on pedido_real.id_prod=productos.id_prod where pedido_real.transacciones='$transac' ";
	 $cal = mysql_query($linea) or die ('Error (Registro No Encontrado1): ' . mysql_error());
   while($ral = mysql_fetch_row($cal))
   {
	   echo"<TR  bgcolor=\"#CCFFCC\"><td>$ral[0]</td><td>$ral[1]</td><td>$ral[2]</td><td>$ral[3]</td></TR>";
	   
		 $precio1+=  $ral[2]*$ral[0];
	$puntos1+=  $ral[3]*$ral[0];


	};
		echo"</table></td><td><center><b>Resumen Producto a Entregar:</b><table CellPadding=5>

			<tr bgcolor=\"#006633\"><th><font color=\"#FFFFFF\">Cant</font></th><th><font color=\"#FFFFFF\">Producto</font></th>
			<th><font color=\"#FFFFFF\">Exist</font></th>
			</tr>";

	
	$linea="SELECT cant, nombreProd FROM pedido join productos on pedido.productos_idprod=productos.id_prod where pedido.transacciones_idtransacciones='$transac' ";
	 $cal = mysql_query($linea) or die ('Error (Registro No Encontrado1): ' . mysql_error());
   while($ral = mysql_fetch_row($cal))
   {
	   echo"<TR><td>$ral[0]</td><td>$ral[1]</td></TR>";
	   
	


	};
	echo"</table></td></tr></table>";
	
	//--------------------------
	
	$puntos=$puntos1;
	$gtot=$precio1+$flete;
	echo"<table cellspacing=5>
			<tr bgcolor=\"#CCFFCC\">
			<td>Precio: </td>
			<td><b>$ $precio1</b></td>
      <td>Peso(Kg):</td>
      <td><b>$peso</b></td>
      <td>Flete:</td>
      <td><b>$flete</b></td>";
      if($flete>=1){echo"<td>Paq:</td>
      <td><b>$paq</b></td>";}
      
			echo"<input type='hidden' value='$gtot' id='totals'>
			<td>Puntos:</td>
			<td><b>$puntos</b></td>
			</tr>
			</table><br> Total a pagar con flete <b>$ $gtot</b><br>";
  echo"<br>";

 echo"<br>";
  $qp3 = "select no_ficha, banco_idbanco, fechad, deposito from depositos join pagovta on depositos.transacciones_idtransacciones=pagovta.idtransacciones where transacciones_idtransacciones=$transac";
   $cp3 = mysql_query($qp3) or die ('Error (Registro No Encontrado9): ' . mysql_error());
$rp3 = mysql_fetch_object($cp3);	
	$noficha = $rp3->no_ficha;
	$banco = $rp3->banco_idbanco;
	$fechad = $rp3->fechad;
	$cantd = $rp3->deposito;
	if($banco==1){$elbcon="Scotiabank";}
	if($banco==2){$elbcon="Banamex";}
	if($banco==1){$elbcon="HSBC";}
	
	
  echo"Detalles del deposito<table border=1><tr bgcolor=\"#9ccef0\"><td>No. ficha:</td><td> $noficha </td><td>banco</td><td> $elbcon </td><td>fecha: </td><td>
  $fechad</td><td>cant: </td><td>
  $ $cantd</td></tr></table><br><b>Domicilio de env&iacute;o:</b>
  <table border=1><tr bgcolor=\"#9ccef0\"><td width=530>$domicilio</td></tr></table>
  <br>";
  

			echo"Forma de Pago<br><table border=1><tr><td>Efectivo:</td><td>$ $efectivo</td></tr>
			<tr><td>Por Pagar</td><td>$ $porpagar</td></tr>
			<tr><td>Deposito</td><td>$ $deposito</td></tr>
			<tr><td>Tarjeta</td><td>$ $tarjeta</td></tr>
			<tr><td>Regalias</td><td>$ $regalias</td></tr>
			<tr><td>voucher</td><td>$ $voucher</td></tr>
            </table><br>";	
			
			echo "<input type=hidden name=cuentale value=$cuenta><input type=hidden name=rfcpr value=\"$rfc\">
			<input type=hidden name=cdent value=$entrega> <input type=hidden name=cuentalep value=$cuentap>
			<input type=hidden name=ef value=$efectivo>
			<input type=hidden name=de value=$deposito>
			<input type=hidden name=cdrea value=$realiza> 
			<input type=hidden name=id_trans value=$transac>
			<input type=hidden name=ta value=$tarjeta>
			<input type=hidden name=re value=$regalias>
				<input type=hidden name=tiponota value=$tiponott>
                        <input type=hidden name=vo value=$voucher>
                        <input type=hidden name=pp value=$porpagar>
			<input type=hidden name=losptos value=$puntos>
                        <input type='hidden' name='vo_id' value='$idvouch'>
			<input type=hidden name=total value='$gtot'><input type=hidden name=puntot value='$puntos'>";


					if($deposito>0){echo"Deposito: Banco <select name=banco>";
					  $qx2 = "SELECT * from bancos";
  
  $cx2 = mysql_query($qx2) or die ('Error en la consultasese' . mysql_error());
  
  for($i=0;$r1 = mysql_fetch_row($cx2);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];  
	  
$nombrebanco=$a1." ".$a2;
echo"<option value=$a0>$nombrebanco</option>";
	}			echo"</select> Referencia:<input type=\"text\" name=referencia size=\"10\" value=\"$noficha\" maxlength=\"10\">Fecha Deposito:<input type=\"text\" name=fecha_i size=\"10\" value=\"$fechad\">&nbsp;
			<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_i,'yyyy-mm-dd');return false;\"><br><br>";		
					}
					if($tarjeta>0){
						echo"Autorizaci&oacute;n Tarjeta:<input type=\"text\" name=tarj size=\"5\" maxlength=\"5\"><br><br>";
					}
					echo"<br><br><font color=\"#294da7\"><b>**Favor de revisar los datos antes de continuar**</b></font><br>";
					echo"<INPUT TYPE=\"SUBMIT\" NAME='confirmap'  VALUE=\"Continuar\" >
						</FORM>	";
						
						
					echo"</body>
				</html>";

?>

